Skip to main content
PATCH
/
api
/
projects
/
{project_id}
Update Project By Id
curl --request PATCH \
  --url https://api.example.com/api/projects/{project_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "complexity": "beginner",
  "demo_url": "<string>",
  "description": "<string>",
  "estimated_hours": 2,
  "github_url": "<string>",
  "problem_statement": "<string>",
  "readme_draft": "<string>",
  "skills": [
    "<string>"
  ],
  "source_author": "<string>",
  "source_author_avatar": "<string>",
  "source_caption": "<string>",
  "source_platform": "<string>",
  "source_text": "<string>",
  "source_url": "<string>",
  "status": "blueprint",
  "target_roles": [
    "<string>"
  ],
  "tech_stack": [
    "<string>"
  ],
  "title": "<string>"
}
'
{
  "complexity": "beginner",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "skills": [
    "<string>"
  ],
  "status": "blueprint",
  "target_roles": [
    "<string>"
  ],
  "tech_stack": [
    "<string>"
  ],
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "confidence": 0.5,
  "demo_url": "<string>",
  "description": "<string>",
  "estimated_hours": 2,
  "evidence": [],
  "extracted_at": "2023-11-07T05:31:56Z",
  "extraction_source_id": "<string>",
  "extractor_version": "<string>",
  "github_url": "<string>",
  "model_name": "<string>",
  "origin": "manual",
  "problem_statement": "<string>",
  "readme_draft": "<string>",
  "source_author": "<string>",
  "source_author_avatar": "<string>",
  "source_caption": "<string>",
  "source_content_hash": "<string>",
  "source_ids": [],
  "source_platform": "<string>",
  "source_text": "<string>",
  "source_url": "<string>"
}

Path Parameters

project_id
string
required

Body

application/json

Request to update a project.

complexity
enum<string> | null
Available options:
beginner,
intermediate,
advanced,
expert
demo_url
string | null
description
string | null
estimated_hours
integer | null
Required range: x >= 1
github_url
string | null
problem_statement
string | null
readme_draft
string | null
skills
string[] | null
source_author
string | null
source_author_avatar
string | null
source_caption
string | null
source_platform
string | null
source_text
string | null
source_url
string | null
status
enum<string> | null
Available options:
blueprint,
planned,
in_progress,
done,
archived
target_roles
string[] | null
tech_stack
string[] | null
title
string | null
Minimum string length: 1

Response

Successful Response

A portfolio project.

complexity
enum<string>
required
Available options:
beginner,
intermediate,
advanced,
expert
created_at
string<date-time>
required
id
string
required
skills
string[]
required
status
enum<string>
required
Available options:
blueprint,
planned,
in_progress,
done,
archived
target_roles
string[]
required
tech_stack
string[]
required
title
string
required
updated_at
string<date-time>
required
completed_at
string<date-time> | null
confidence
number | null
Required range: 0 <= x <= 1
demo_url
string | null
description
string | null
estimated_hours
integer | null
Required range: x >= 1
evidence
EvidenceItem · object[]
extracted_at
string<date-time> | null
extraction_source_id
string | null
extractor_version
string | null
github_url
string | null
model_name
string | null
origin
enum<string>
default:manual
Available options:
extracted,
generated,
manual
problem_statement
string | null
readme_draft
string | null
source_author
string | null
source_author_avatar
string | null
source_caption
string | null
source_content_hash
string | null
source_ids
string[]
source_platform
string | null
source_text
string | null
source_url
string | null